package com.example.demo_gcm_demo.backend;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.ArrayList;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Created by Xing-Dong Yang on 2/11/2017.
 */

public class QueryServlet extends HttpServlet {
    @Override
    public void doGet(HttpServletRequest request, HttpServletResponse response)
        throws IOException, ServletException{

        String name = request.getParameter("name");
        ContactDataStore contactDataStore = new ContactDataStore();
        ArrayList<Contact> result = contactDataStore.query(name);

        response.setContentType("text/html");
        PrintWriter out = response.getWriter();
        out.write("<html>\n" +
                "<head>\n" +
                "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=ISO-8859-1\">\n" +
                "<title>Query Result</title>\n" +
                "</head>\n" +
                "<body>\n");

        out.write("<center>\n" +
                "\t\t<b>Query Result</b>\n" +
                "\t\t<form name=\"input\" action=\"/query.do\" method=\"get\">\n" +
                "\t\t\tName: <input type=\"text\" name=\"name\"> <input type=\"submit\"\n" +
                "\t\t\t\tvalue=\"OK\">\n" +
                "\t\t</form>\n" +
                "\t</center>");

        if(result != null){
            for(int i=0; i<result.size(); i++) {
                Contact contact = result.get(i);
                out.write("Name:" + contact.name + "&nbsp; Address:" + contact.address + "&nbsp;" + "PhoneNumber:" + contact.phoneNumber +
                        "&nbsp; &nbsp;&nbsp; <input type=\"button\" onclick=\"location.href='/delete.do?name=" + contact.name + "'\" value=\"Delete\"><br>");
            }
        }

        out.write("</b> Add new contact:\n" +
                "\t<br>\n" +
                "\t<form name=\"input\" action=\"/add.do\" method=\"post\">\n" +
                "\t\tName: <input type=\"text\" name=\"name\"> Address: <input\n" +
                "\t\t\ttype=\"text\" name=\"addr\"> Phone: <input type=\"text\"\n" +
                "\t\t\tname=\"phone\"> <input type=\"submit\" value=\"Add\">\n" +
                "\t</form>\n" +
                "</body>\n" +
                "</html>");
    }

    @Override
    public void doPost(HttpServletRequest request, HttpServletResponse response)
            throws IOException, ServletException{
        doGet(request, response);
    }
}
